
QGIS Application - Bug report #10464

X-Server crash with QGIS master on Debian testing (Gnome3 and Gnome Classic)

2014-06-04 11:59 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18876

Description

By accident I used the following html url instead a real wms-capabilities url as a WMS-source url:

http://basemap.nationalmap.gov/ArcGIS/rest/services/USGSShadedReliefOnly/MapServer

If I (in WMS-dialog) connect to this service, the whole gnome X server crashes on my laptop.

I rebuild QGIS again from latest source today, but still crashes.

On my laptop both with Gnome classic as with Gnome3.

Using XFCE it does NOT crash, but show me the html in an alert.

On Windows it shows the html in a dialog.

I started qgis with gdb in a screen session and then got this log:

(I had troubles copy/pasting it from the screen, so maybe parts of it are copied double)

src/providers/wms/qgswmscapabilities.cpp: 1853: (downloadCapabilities) url = 

http://basemap.nationalmap.gov/ArcGIS/rest/services/USGSShadedReliefOnly/

MapServer?

src/providers/wms/qgswmscapabilities.cpp: 1867: (downloadCapabilities) getcapabilities: 

http://basemap.nationalmap.gov/ArcGIS/rest/services/USGSShadedReliefOnly/MapServer?SERVICE=WMS&#38;REQUEST=GetCap

bilities

src/core/qgsnetworkaccessmanager.cpp: 84: (queryProxy) using fallback proxy for 

http://basemap.nationalmap.gov/ArcGIS/rest/services/USGSShadedReliefOnly/MapServer?SERVICE=WMS&#38;REQUEST=GetCap

bilities

[New Thread 0x7fff75c94700 (LWP 7237)]

src/providers/wms/qgswmscapabilities.cpp: 1885: (capabilitiesReplyProgress) 15171 of unknown number of bytes of capabilities

downloaded.

src/providers/wms/qgswmscapabilities.cpp: 1885: (capabilitiesReplyProgress) 15171 of 15171 bytes of capabilities downloaded.

src/providers/wms/qgswmscapabilities.cpp: 1891: (capabilitiesReplyFinished) entering.

src/providers/wms/qgswmscapabilities.cpp: 1894: (capabilitiesReplyFinished) reply ok

src/providers/wms/qgswmscapabilities.cpp: 132: (parseResponse) starts with <html>

[New Thread 0x7fff74dec700 (LWP 7238)]

Warning: QNativeImage: Unable to attach to shared memory segment.

Stacktrace (piped through c++filt):

/home/richard/apps/qgis/master/debug/bin/./qgis[0x556c03]

/home/richard/apps/qgis/master/debug/bin/./qgis(myMessageOutput(QtMsgType, char const*)+0xde)[0x556fab]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x21)[0x7ffff32c4b41]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2a4b1f)[0x7ffff284db1f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QRasterWindowSurface::prepareBuffer(QImage::Format, QWidget*)+0xc9)[0x7ffff2960f29]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QRasterWindowSurface::setGeometry(QRect const&)+0x58)[0x7ffff2961ab8]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x3d10f7)[0x7ffff297a0f7]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x3d2005)[0x7ffff297b005]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x232558)[0x7ffff27db558]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0xc46)[0x7ffff27e83f6]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x266712)[0x7ffff280f712]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7fffeeb42e04]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048)[0x7fffeeb43048]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fffeeb430ec]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x65)[0x7f

ff33fe655]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2667c6)[0x7ffff280f7c6]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7ffff33cffef]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7ffff33d02e5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QDialog::exec()+0xcc)[0x7ffff2c15a4c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x68b6d0)[0x7ffff2c346d0]

src/core/qgsmessagelog.cpp: 45: (logMessage) 2014-06-04T20:29:09 Qt

1

 QNativeImage: Unable to attach to shared memory segment.

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048)[0x7fffeeb43048]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fffeeb430ec]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x65)[0x7f

ff33fe655]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2667c6)[0x7ffff280f7c6]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7ffff33cffef]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7ffff33d02e5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QDialog::exec()+0xcc)[0x7ffff2c15a4c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x68b6d0)[0x7ffff2c346d0]

src/core/qgsmessagelog.cpp: 45: (logMessage) 2014-06-04T20:29:09 Qt

1

 QNativeImage: Unable to attach to shared memory segment.

Warning: X Error: BadDrawable (invalid Pixmap or Window parameter) 9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x0

Stacktrace (piped through c++filt):

/home/richard/apps/qgis/master/debug/bin/./qgis[0x556c03]

/home/richard/apps/qgis/master/debug/bin/./qgis(myMessageOutput(QtMsgType, char const*)+0xde)[0x556fab]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x21)[0x7ffff32c4b41]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x70f89)[0x7ffff32c4f89]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qWarning(char const*, ...)+0x94)[0x7ffff32c51d4]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x22e29c)[0x7ffff27d729c]

/usr/lib/x86_64-linux-gnu/libX11.so.6(_XError+0x12b)[0x7fffee802c9b]

/usr/lib/x86_64-linux-gnu/libX11.so.6(+0x40d37)[0x7fffee7ffd37]

/usr/lib/x86_64-linux-gnu/libX11.so.6(+0x40de5)[0x7fffee7ffde5]

/usr/lib/x86_64-linux-gnu/libX11.so.6(_XReply+0x1e8)[0x7fffee800cc8]

/usr/lib/x86_64-linux-gnu/libX11.so.6(XQueryPointer+0x55)[0x7fffee7f71f5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QCursor::pos()+0xa8)[0x7ffff27f0d38]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::dispatchEnterLeave(QWidget*, QWidget*)+0x3b5)[0x7ffff2776ed5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0x5b8)[0x7ffff27e7d68]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x266712)[0x7ffff280f712]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7fffeeb42e04]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048)[0x7fffeeb43048]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fffeeb430ec]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x65)[0x7f

ff33fe655]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2667c6)[0x7ffff280f7c6]

src/core/qgsmessagelog.cpp: 45: (logMessage) 2014-06-04T20:29:09 Qt

1

 X Error: BadDrawable (invalid Pixmap or Window parameter)

9

/  Major opcode: 62 (X_CopyArea)
#fn1
#fn1
#fn1


  Resource id:  0x0

Stacktrace (piped through c++filt):

/home/richard/apps/qgis/master/debug/bin/./qgis[0x556c03]

/home/richard/apps/qgis/master/debug/bin/./qgis(myMessageOutput(QtMsgType, char const*)+0xde)[0x556fab]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x21)[0x7ffff32c4b41]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x70f89)[0x7ffff32c4f89]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qWarning(char const*, ...)+0x94)[0x7ffff32c51d4]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x22e29c)[0x7ffff27d729c]

/usr/lib/x86_64-linux-gnu/libX11.so.6(_XError+0x12b)[0x7fffee802c9b]

/usr/lib/x86_64-linux-gnu/libX11.so.6(+0x40d37)[0x7fffee7ffd37]

/usr/lib/x86_64-linux-gnu/libX11.so.6(+0x40de5)[0x7fffee7ffde5]

/usr/lib/x86_64-linux-gnu/libX11.so.6(_XReply+0x1e8)[0x7fffee800cc8]

/usr/lib/x86_64-linux-gnu/libX11.so.6(XQueryPointer+0x55)[0x7fffee7f71f5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QCursor::pos()+0xa8)[0x7ffff27f0d38]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::dispatchEnterLeave(QWidget*, QWidget*)+0x3b5)[0x7ffff2776ed5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0x5b8)[0x7ffff27e7d68]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x266712)[0x7ffff280f712]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7fffeeb42e04]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048)[0x7fffeeb43048]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fffeeb430ec]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x65)[0x7f

ff33fe655]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2667c6)[0x7ffff280f7c6]

src/core/qgsmessagelog.cpp: 45: (logMessage) 2014-06-04T20:29:09 Qt

1

 X Error: BadDrawable (invalid Pixmap or Window parameter)

9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x0

Stacktrace (piped through c++filt):

/home/richard/apps/qgis/master/debug/bin/./qgis[0x556c03]

/home/richard/apps/qgis/master/debug/bin/./qgis(myMessageOutput(QtMsgType, char const*)+0xde)[0x556fab]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x21)[0x7ffff32c4b41]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x70f89)[0x7ffff32c4f89]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qWarning(char const*, ...)+0x94)[0x7ffff32c51d4]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x22e29c)[0x7ffff27d729c]

/usr/lib/x86_64-linux-gnu/libX11.so.6(_XError+0x12b)[0x7fffee802c9b]

/usr/lib/x86_64-linux-gnu/libX11.so.6(+0x40d37)[0x7fffee7ffd37]

/usr/lib/x86_64-linux-gnu/libX11.so.6(+0x40de5)[0x7fffee7ffde5]

/usr/lib/x86_64-linux-gnu/libX11.so.6(_XReply+0x1e8)[0x7fffee800cc8]

/usr/lib/x86_64-linux-gnu/libX11.so.6(XQueryPointer+0x55)[0x7fffee7f71f5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QCursor::pos()+0xa8)[0x7ffff27f0d38]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::dispatchEnterLeave(QWidget*, QWidget*)+0x3b5)[0x7ffff2776ed5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0x5b8)[0x7ffff27e7d68]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x266712)[0x7ffff280f712]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7fffeeb42e04]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048)[0x7fffeeb43048]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fffeeb430ec]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x65)[0x7f

ff33fe655]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2667c6)[0x7ffff280f7c6]

src/core/qgsmessagelog.cpp: 45: (logMessage) 2014-06-04T20:29:09 Qt

1

 X Error: BadDrawable (invalid Pixmap or Window parameter)

9

  Major opcode: 62 (X_CopyArea)

  Resource id:  0x0
#fn1
[Thread 0x7fff7cb32700 (LWP 7236) exited]

[Thread 0x7fff77fff700 (LWP 7235) exited]

I'm not sure if I'm the only one, but even after restarts, fresh compiles and apt-get dist-upgrades the crashes keep coming

Associated revisions

Revision 61e934b3 - 2014-06-20 11:43 AM - Matthias Kuhn

WMS fail: Details only shown on demand

Fix #10464

History

#1 - 2014-06-04 01:42 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2014-06-20 02:34 AM - Matthias Kuhn

Works for me on Fedora 20.

#3 - 2014-06-20 02:43 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"61e934b34b99540ce380675df7bd6094166bd0d1".
